LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 12-07-2017, 11:14 AM   #1
jkh2cpu
LQ Newbie
 
Registered: Feb 2014
Location: Michigan, USA
Distribution: slackware
Posts: 13

Rep: Reputation: Disabled
Unable to load library icui18n


I'm trying to run Pan, but it dies with this message:

Unable to load library icui18n "Cannot load library icui18n: (icui18n: cannot open shared object file: No such file or directory)"

If I look for icui18n, I get this:

>>>>>>>>>>>>>>

jkh@darkstar:~$ locate icui18n
/usr/lib/libicui18n.so
/usr/lib/libicui18n.so.56
/usr/lib/libicui18n.so.56.1
/usr/lib64/libicui18n.so
/usr/lib64/libicui18n.so.60
/usr/lib64/libicui18n.so.60.1

>>>>>>>>>>>>>

So, is something out of date?

A number of other programs complain about missing icui18n, but they run.

John.
 
Old 12-07-2017, 11:20 AM   #2
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,138

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393
Are you sure that you have installed the latest package ?
 
Old 12-07-2017, 11:37 AM   #3
trollog
Member
 
Registered: Oct 2014
Posts: 102

Rep: Reputation: Disabled
I'm getting similar here on current_x64:

palemoon-27.6.1-x86_64-1alien

XPCOMGlueLoad error for file /usr/lib64/palemoon-27.6.1/libmozjs.so:
libicui18n.so.56: cannot open shared object file: No such file or directory
Couldn't load XPCOM.

*****

libreoffice-5.4.3-x86_64-1alien

localc, lowriter

/usr/lib64/libreoffice/program/soffice.bin: error while loading shared libraries: libicui18n.so.56:
cannot open shared object file: No such file or directory


icu4c-60.1-x86_64-1


..

Last edited by trollog; 12-07-2017 at 11:45 AM.
 
Old 12-07-2017, 11:40 AM   #4
jkh2cpu
LQ Newbie
 
Registered: Feb 2014
Location: Michigan, USA
Distribution: slackware
Posts: 13

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by gmgf View Post
Are you sure that you have installed the latest package ?
I'm running the most up-to-date slackware64-current, and I've just checked again for updates.

John.
 
Old 12-07-2017, 11:46 AM   #5
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,138

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393
No pan problem here on full slackware64-current
 
Old 12-07-2017, 11:59 AM   #6
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,138

Rep: Reputation: 393Reputation: 393Reputation: 393Reputation: 393
Quote:
Originally Posted by trollog View Post
I'm getting similar here on current_x64:

palemoon-27.6.1-x86_64-1alien

XPCOMGlueLoad error for file /usr/lib64/palemoon-27.6.1/libmozjs.so:
libicui18n.so.56: cannot open shared object file: No such file or directory
Couldn't load XPCOM.

*****

libreoffice-5.4.3-x86_64-1alien

localc, lowriter

/usr/lib64/libreoffice/program/soffice.bin: error while loading shared libraries: libicui18n.so.56:
cannot open shared object file: No such file or directory


icu4c-60.1-x86_64-1


..
Many alien packages need rebuild, Eric knows it
 
Old 12-07-2017, 12:31 PM   #7
volkerdi
Slackware Maintainer
 
Registered: Dec 2002
Location: Minnesota
Distribution: Slackware! :-)
Posts: 1,318

Rep: Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709
Quote:
Originally Posted by jkh2cpu View Post
jkh@darkstar:~$ locate icui18n
/usr/lib/libicui18n.so
/usr/lib/libicui18n.so.56
/usr/lib/libicui18n.so.56.1
/usr/lib64/libicui18n.so
/usr/lib64/libicui18n.so.60
/usr/lib64/libicui18n.so.60.1
Looking at this, it appears that you've accidentally installed the x86_64 version icu4c on a 32-bit machine. You need the i586 version. Install that with upgradepkg (which will also take care of removing the wrong package) and things should start working then.
 
Old 12-07-2017, 02:38 PM   #8
ahlr
Member
 
Registered: Jun 2012
Distribution: Slackware-Current
Posts: 30

Rep: Reputation: Disabled
Quote:
Originally Posted by volkerdi View Post
Looking at this, it appears that you've accidentally installed the x86_64 version icu4c on a 32-bit machine. You need the i586 version. Install that with upgradepkg (which will also take care of removing the wrong package) and things should start working then.
Multilib same hire!
 
Old 12-07-2017, 02:40 PM   #9
jkh2cpu
LQ Newbie
 
Registered: Feb 2014
Location: Michigan, USA
Distribution: slackware
Posts: 13

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by volkerdi View Post
Looking at this, it appears that you've accidentally installed the x86_64 version icu4c on a 32-bit machine. You need the i586 version. Install that with upgradepkg (which will also take care of removing the wrong package) and things should start working then.
It's not that, it's compat32, and Eric is aware. Fun and games on the bleeding edge. (Where's the band-aid?)

John.
 
Old 12-07-2017, 08:38 PM   #10
heyjann
Member
 
Registered: Dec 2015
Posts: 72

Rep: Reputation: Disabled
akonadi also seems to complain on slackware64-current, I happened to notice, no multilib here

[CODE]bash-4.4$ akonaditest
Unable to load library icui18n "Cannot load library icui18n: (icui18n: cannot open shared object file: No such file or directory)"

xpdf, wpa_gui (whose tray icon does not display either, probably a svg issue) same message, but they run.
It looks qt-related, I might try rebuilding qt4 to see if that makes any difference.
 
Old 12-07-2017, 08:40 PM   #11
volkerdi
Slackware Maintainer
 
Registered: Dec 2002
Location: Minnesota
Distribution: Slackware! :-)
Posts: 1,318

Rep: Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709Reputation: 3709
Quote:
Originally Posted by heyjann View Post
akonadi also seems to complain on slackware64-current, I happened to notice, no multilib here

[CODE]bash-4.4$ akonaditest
Unable to load library icui18n "Cannot load library icui18n: (icui18n: cannot open shared object file: No such file or directory)"

xpdf, wpa_gui (whose tray icon does not display either, probably a svg issue) same message, but they run.
It looks qt-related, I might try rebuilding qt4 to see if that makes any difference.
Working on it now. Looks like a useless warning (Fedora patches it out).
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Unable to load dynamic library '/usr/lib64/php_mcrypt.so' jonaskellens Linux - Newbie 3 10-06-2016 01:56 PM
PHP Startup: Unable to load dynamic library kohshan99 Linux - Software 1 04-16-2015 06:11 AM
Unable to load a shared library vipulspn Linux - Newbie 7 08-26-2009 08:29 AM
Unable to load dynamic library '/usr/lib/php4/20050606/gd.so' sYs^ Debian 0 04-22-2006 12:39 PM
PHP Warning: Unable to load dynamic library xbaez Linux - Software 3 02-15-2005 07:11 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 10:00 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration